Bug 993026 - python SDK | missing storage attributes (username, portal, port, target, password)
python SDK | missing storage attributes (username, portal, port, target, pass...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk (Show other bugs)
3.3.0
x86_64 All
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Michael Pasternak
Meni Yakove
infra
: Regression, TestBlocker, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 08:46 EDT by Meni Yakove
Modified: 2016-02-10 14:28 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 05:12:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meni Yakove 2013-08-05 08:46:38 EDT
Description of problem:
There are missing attributes in python SDK in storage object:
username, portal, port, target, password

From SDK job:
2013-08-05 06:23:08,467 - MainThread - storagedomains - ERROR - Element '<ovirtsdk.xml.params.Storage object at 0x1e81350>' has no attribute 'username'
2013-08-05 06:23:08,469 - MainThread - storagedomains - ERROR - Element '<ovirtsdk.xml.params.Storage object at 0x1e81350>' has no attribute 'portal'
2013-08-05 06:23:08,470 - MainThread - storagedomains - ERROR - Element '<ovirtsdk.xml.params.Storage object at 0x1e81350>' has no attribute 'password'
2013-08-05 06:23:08,471 - MainThread - storagedomains - ERROR - Element '<ovirtsdk.xml.params.Storage object at 0x1e81350>' has no attribute 'port'
2013-08-05 06:23:08,472 - MainThread - storagedomains - ERROR - Element '<ovirtsdk.xml.params.Storage object at 0x1e81350>' has no attribute 'target'

Version-Release number of selected component (if applicable):
rhevm-sdk-python-3.3.0.8-1.el6ev.noarch
Comment 3 Michael Pasternak 2013-08-08 05:12:50 EDT
(In reply to Meni Yakove from comment #0)
> Description of problem:
> There are missing attributes in python SDK in storage object:
> username, portal, port, target, password
> 
> From SDK job:
> 2013-08-05 06:23:08,467 - MainThread - storagedomains - ERROR - Element
> '<ovirtsdk.xml.params.Storage object at 0x1e81350>' has no attribute
> 'username'
> 2013-08-05 06:23:08,469 - MainThread - storagedomains - ERROR - Element
> '<ovirtsdk.xml.params.Storage object at 0x1e81350>' has no attribute 'portal'
> 2013-08-05 06:23:08,470 - MainThread - storagedomains - ERROR - Element
> '<ovirtsdk.xml.params.Storage object at 0x1e81350>' has no attribute
> 'password'
> 2013-08-05 06:23:08,471 - MainThread - storagedomains - ERROR - Element
> '<ovirtsdk.xml.params.Storage object at 0x1e81350>' has no attribute 'port'
> 2013-08-05 06:23:08,472 - MainThread - storagedomains - ERROR - Element
> '<ovirtsdk.xml.params.Storage object at 0x1e81350>' has no attribute 'target'
> 
> Version-Release number of selected component (if applicable):
> rhevm-sdk-python-3.3.0.8-1.el6ev.noarch

not sure what you're trying to do, but it is not located under Storage
object directly, but at logical_unit

@param storagedomain.storage.logical_unit: collection
{
            @ivar logical_unit.address: string
            @ivar logical_unit.port: int
            @ivar logical_unit.target: string
            @ivar logical_unit.username: string
            @ivar logical_unit.password: string
            @ivar logical_unit.serial: string
            @ivar logical_unit.vendor_id: string
            @ivar logical_unit.product_id: string
            @ivar logical_unit.lun_mapping: int
            @ivar logical_unit.portal: string
            @ivar logical_unit.paths: int
            @ivar logical_unit.id: string
}

Note You need to log in before you can comment on or make changes to this bug.